import type { FieldAction } from "../client/EditorShell";
import type { PageViewContext } from "../page-viewer/pageViewContext";
export declare function FieldActionIndicator({ action, pageViewContext, }: {
    action: FieldAction;
    pageViewContext?: PageViewContext;
}): import("react/jsx-runtime").JSX.Element | null;
